<template>
  <form class="container" v-on:submit.prevent="submit()">
    <div class="col-12">
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Nom
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="Lastname" v-model="client.lastname" required>
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Prénom
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="firstname" v-model="client.firstname" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Email
              <span>*</span>
            </label>
            <input class="form-control" type="email" name="Lastname" v-model="client.email" required>
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Telephone
              <span>*</span>
            </label>
            <input class="form-control" type="text" name="firstname" v-model="client.phone" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label>Société
              <span>*</span>
            </label>
            <select class="form-control" type="text" name="societe" v-model="client.company._id" v-if="client.company" required>
              <option v-for="company in companies" v-bind:value="company._id">
                {{company.name}}
              </option>
            </select>
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label>Fonction</label>
            <input class="form-control" type="text" name="cjm" v-model="client.function">
          </div>
        </div>
        <div class="col-12">
          <div class="form-group">
            <button class="btn btn-primary" type="submit"> Sauvegarder </button>
            <button class="btn btn-secondary" type="button" v-on:click="retour()"> Retour </button>
            <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
          </div>
        </div>
      </div>
    </div>
  </form>
</template>

<script>
export default {
  props: ['client', 'companies'],
  methods: {
    submit: function () {
      this.$emit("submit");
    },
    retour: function () {
      this.$emit("back");
    },
    remove: function () {
      this.$emit("remove");
    }
  },
}
</script>

<style scoped>
span {
  color: red;
}
</style>
